package reparto_mazapa.keymon.lat;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class mapa_rutas_subs_0 {


public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,59);
if (RapidSub.canDelegate("activity_create")) { return reparto_mazapa.keymon.lat.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","activity_create", _firsttime);}
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 59;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(67108864);
 BA.debugLineNum = 61;BA.debugLine="Activity.LoadLayout(\"MAPA_RUTAS\")";
Debug.ShouldStop(268435456);
mapa_rutas.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("MAPA_RUTAS")),mapa_rutas.mostCurrent.activityBA);
 BA.debugLineNum = 72;BA.debugLine="If MapFragment1.IsGooglePlayServicesAvailable = F";
Debug.ShouldStop(128);
if (RemoteObject.solveBoolean("=",mapa_rutas.mostCurrent._mapfragment1.runMethod(true,"IsGooglePlayServicesAvailable",mapa_rutas.mostCurrent.activityBA),mapa_rutas.mostCurrent.__c.getField(true,"False"))) { 
 BA.debugLineNum = 73;BA.debugLine="ToastMessageShow(\"Please install Google Play Ser";
Debug.ShouldStop(256);
mapa_rutas.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Please install Google Play Services.")),(Object)(mapa_rutas.mostCurrent.__c.getField(true,"True")));
 };
 BA.debugLineNum = 84;BA.debugLine="MARK_AZUL.IsInitialized";
Debug.ShouldStop(524288);
mapa_rutas.mostCurrent._mark_azul.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 85;BA.debugLine="MARK_ROJO.IsInitialized";
Debug.ShouldStop(1048576);
mapa_rutas.mostCurrent._mark_rojo.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 86;BA.debugLine="MARK_VERDE.IsInitialized";
Debug.ShouldStop(2097152);
mapa_rutas.mostCurrent._mark_verde.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 88;BA.debugLine="LIST_AZUL.Initialize";
Debug.ShouldStop(8388608);
mapa_rutas.mostCurrent._list_azul.runVoidMethod ("Initialize");
 BA.debugLineNum = 89;BA.debugLine="LIST_ROJO.Initialize";
Debug.ShouldStop(16777216);
mapa_rutas.mostCurrent._list_rojo.runVoidMethod ("Initialize");
 BA.debugLineNum = 90;BA.debugLine="LIST_VERDE.Initialize";
Debug.ShouldStop(33554432);
mapa_rutas.mostCurrent._list_verde.runVoidMethod ("Initialize");
 BA.debugLineNum = 92;BA.debugLine="verde = 0";
Debug.ShouldStop(134217728);
mapa_rutas.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 93;BA.debugLine="azul = 0";
Debug.ShouldStop(268435456);
mapa_rutas.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 94;BA.debugLine="rojo = 0";
Debug.ShouldStop(536870912);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 95;BA.debugLine="todos = 1";
Debug.ShouldStop(1073741824);
mapa_rutas.mostCurrent._todos = BA.NumberToString(1);
 BA.debugLineNum = 109;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_keypress(RemoteObject _key) throws Exception{
try {
		Debug.PushSubsStack("Activity_KeyPress (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,354);
if (RapidSub.canDelegate("activity_keypress")) { return reparto_mazapa.keymon.lat.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","activity_keypress", _key);}
Debug.locals.put("key", _key);
 BA.debugLineNum = 354;BA.debugLine="Sub Activity_KeyPress (key As Int) As Boolean 'ign";
Debug.ShouldStop(2);
 BA.debugLineNum = 356;BA.debugLine="If key=KeyCodes.KEYCODE_BACK Then";
Debug.ShouldStop(8);
if (RemoteObject.solveBoolean("=",_key,BA.numberCast(double.class, mapa_rutas.mostCurrent.__c.getField(false,"KeyCodes").getField(true,"KEYCODE_BACK")))) { 
 BA.debugLineNum = 358;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
Debug.ShouldStop(32);
mapa_rutas.mostCurrent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,mapa_rutas.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("Principal")));
 BA.debugLineNum = 359;BA.debugLine="Return False";
Debug.ShouldStop(64);
if (true) return mapa_rutas.mostCurrent.__c.getField(true,"False");
 };
 BA.debugLineNum = 363;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,314);
if (RapidSub.canDelegate("activity_pause")) { return reparto_mazapa.keymon.lat.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 314;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 315;BA.debugLine="GPS.Stop";
Debug.ShouldStop(67108864);
mapa_rutas._gps.runVoidMethod ("Stop");
 BA.debugLineNum = 316;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,305);
if (RapidSub.canDelegate("activity_resume")) { return reparto_mazapa.keymon.lat.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","activity_resume");}
 BA.debugLineNum = 305;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(65536);
 BA.debugLineNum = 312;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_azul_click() throws Exception{
try {
		Debug.PushSubsStack("B_AZUL_Click (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,344);
if (RapidSub.canDelegate("b_azul_click")) { return reparto_mazapa.keymon.lat.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_azul_click");}
 BA.debugLineNum = 344;BA.debugLine="Sub B_AZUL_Click";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 345;BA.debugLine="azul = 1";
Debug.ShouldStop(16777216);
mapa_rutas.mostCurrent._azul = BA.NumberToString(1);
 BA.debugLineNum = 346;BA.debugLine="verde = 0";
Debug.ShouldStop(33554432);
mapa_rutas.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 347;BA.debugLine="rojo = 0";
Debug.ShouldStop(67108864);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 348;BA.debugLine="todos = 0";
Debug.ShouldStop(134217728);
mapa_rutas.mostCurrent._todos = BA.NumberToString(0);
 BA.debugLineNum = 349;BA.debugLine="gmap.Clear";
Debug.ShouldStop(268435456);
mapa_rutas.mostCurrent._gmap.runVoidMethod ("Clear");
 BA.debugLineNum = 350;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(536870912);
_mapfragment1_ready();
 BA.debugLineNum = 351;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_rojo_click() throws Exception{
try {
		Debug.PushSubsStack("B_ROJO_Click (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,335);
if (RapidSub.canDelegate("b_rojo_click")) { return reparto_mazapa.keymon.lat.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_rojo_click");}
 BA.debugLineNum = 335;BA.debugLine="Sub B_ROJO_Click";
Debug.ShouldStop(16384);
 BA.debugLineNum = 336;BA.debugLine="rojo = 1";
Debug.ShouldStop(32768);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(1);
 BA.debugLineNum = 337;BA.debugLine="verde = 0";
Debug.ShouldStop(65536);
mapa_rutas.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 338;BA.debugLine="azul = 0";
Debug.ShouldStop(131072);
mapa_rutas.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 339;BA.debugLine="todos = 0";
Debug.ShouldStop(262144);
mapa_rutas.mostCurrent._todos = BA.NumberToString(0);
 BA.debugLineNum = 340;BA.debugLine="gmap.Clear";
Debug.ShouldStop(524288);
mapa_rutas.mostCurrent._gmap.runVoidMethod ("Clear");
 BA.debugLineNum = 341;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(1048576);
_mapfragment1_ready();
 BA.debugLineNum = 342;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_todos_click() throws Exception{
try {
		Debug.PushSubsStack("B_TODOS_Click (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,318);
if (RapidSub.canDelegate("b_todos_click")) { return reparto_mazapa.keymon.lat.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_todos_click");}
 BA.debugLineNum = 318;BA.debugLine="Sub B_TODOS_Click";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 319;BA.debugLine="todos  =1";
Debug.ShouldStop(1073741824);
mapa_rutas.mostCurrent._todos = BA.NumberToString(1);
 BA.debugLineNum = 320;BA.debugLine="verde = 0";
Debug.ShouldStop(-2147483648);
mapa_rutas.mostCurrent._verde = BA.NumberToString(0);
 BA.debugLineNum = 321;BA.debugLine="azul = 0";
Debug.ShouldStop(1);
mapa_rutas.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 322;BA.debugLine="rojo = 0";
Debug.ShouldStop(2);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 323;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(4);
_mapfragment1_ready();
 BA.debugLineNum = 324;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_verde_click() throws Exception{
try {
		Debug.PushSubsStack("B_VERDE_Click (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,326);
if (RapidSub.canDelegate("b_verde_click")) { return reparto_mazapa.keymon.lat.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","b_verde_click");}
 BA.debugLineNum = 326;BA.debugLine="Sub B_VERDE_Click";
Debug.ShouldStop(32);
 BA.debugLineNum = 327;BA.debugLine="verde = 1";
Debug.ShouldStop(64);
mapa_rutas.mostCurrent._verde = BA.NumberToString(1);
 BA.debugLineNum = 328;BA.debugLine="azul = 0";
Debug.ShouldStop(128);
mapa_rutas.mostCurrent._azul = BA.NumberToString(0);
 BA.debugLineNum = 329;BA.debugLine="rojo = 0";
Debug.ShouldStop(256);
mapa_rutas.mostCurrent._rojo = BA.NumberToString(0);
 BA.debugLineNum = 330;BA.debugLine="todos = 0";
Debug.ShouldStop(512);
mapa_rutas.mostCurrent._todos = BA.NumberToString(0);
 BA.debugLineNum = 331;BA.debugLine="gmap.Clear";
Debug.ShouldStop(1024);
mapa_rutas.mostCurrent._gmap.runVoidMethod ("Clear");
 BA.debugLineNum = 332;BA.debugLine="MapFragment1_Ready";
Debug.ShouldStop(2048);
_mapfragment1_ready();
 BA.debugLineNum = 333;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 17;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 18;BA.debugLine="Private gmap As GoogleMap";
mapa_rutas.mostCurrent._gmap = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper");
 //BA.debugLineNum = 19;BA.debugLine="Private MapFragment1 As MapFragment";
mapa_rutas.mostCurrent._mapfragment1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper");
 //BA.debugLineNum = 20;BA.debugLine="Dim Latitud As Double = 0";
mapa_rutas._latitud = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 21;BA.debugLine="Dim Longitud As Double = 0";
mapa_rutas._longitud = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 22;BA.debugLine="Dim Lat2 As Double = 0";
mapa_rutas._lat2 = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 23;BA.debugLine="Dim Lon2 As Double = 0";
mapa_rutas._lon2 = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 24;BA.debugLine="Dim p1, p2 As Location";
mapa_rutas.mostCurrent._p1 = RemoteObject.createNew ("anywheresoftware.b4a.gps.LocationWrapper");
mapa_rutas.mostCurrent._p2 = RemoteObject.createNew ("anywheresoftware.b4a.gps.LocationWrapper");
 //BA.debugLineNum = 25;BA.debugLine="Dim Distance As Float";
mapa_rutas._distance = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 26;BA.debugLine="Dim boton1 As Button";
mapa_rutas.mostCurrent._boton1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 27;BA.debugLine="Dim HUE_BLUE As Float";
mapa_rutas._hue_blue = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 28;BA.debugLine="Dim HUE_RED As Float";
mapa_rutas._hue_red = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 29;BA.debugLine="Dim HUE_GREEN As Float";
mapa_rutas._hue_green = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 30;BA.debugLine="Private B_AZUL As Button";
mapa_rutas.mostCurrent._b_azul = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 31;BA.debugLine="Private B_ROJO As Button";
mapa_rutas.mostCurrent._b_rojo = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 32;BA.debugLine="Private B_VERDE As Button";
mapa_rutas.mostCurrent._b_verde = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 33;BA.debugLine="Private B_TODOS As Button";
mapa_rutas.mostCurrent._b_todos = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 34;BA.debugLine="Dim Tienda As String";
mapa_rutas.mostCurrent._tienda = RemoteObject.createImmutable("");
 //BA.debugLineNum = 35;BA.debugLine="Dim ruta, rutaAnt As String";
mapa_rutas.mostCurrent._ruta = RemoteObject.createImmutable("");
mapa_rutas.mostCurrent._rutaant = RemoteObject.createImmutable("");
 //BA.debugLineNum = 36;BA.debugLine="Dim LatitudRu As Double";
mapa_rutas._latitudru = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 37;BA.debugLine="Dim LongitudRU As Double";
mapa_rutas._longitudru = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 38;BA.debugLine="Dim LIST_AZUL As List";
mapa_rutas.mostCurrent._list_azul = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
 //BA.debugLineNum = 39;BA.debugLine="Dim LIST_ROJO As List";
mapa_rutas.mostCurrent._list_rojo = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
 //BA.debugLineNum = 40;BA.debugLine="Dim LIST_VERDE As List";
mapa_rutas.mostCurrent._list_verde = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
 //BA.debugLineNum = 41;BA.debugLine="Dim MARK_AZUL As Marker";
mapa_rutas.mostCurrent._mark_azul = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 42;BA.debugLine="Dim MARK_ROJO As Marker";
mapa_rutas.mostCurrent._mark_rojo = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 43;BA.debugLine="Dim MARK_VERDE As Marker";
mapa_rutas.mostCurrent._mark_verde = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 44;BA.debugLine="Dim MARK_CEDIS As Marker";
mapa_rutas.mostCurrent._mark_cedis = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
 //BA.debugLineNum = 45;BA.debugLine="Dim rojo As String";
mapa_rutas.mostCurrent._rojo = RemoteObject.createImmutable("");
 //BA.debugLineNum = 46;BA.debugLine="Dim azul As String";
mapa_rutas.mostCurrent._azul = RemoteObject.createImmutable("");
 //BA.debugLineNum = 47;BA.debugLine="Dim verde As String";
mapa_rutas.mostCurrent._verde = RemoteObject.createImmutable("");
 //BA.debugLineNum = 48;BA.debugLine="Dim todos As String";
mapa_rutas.mostCurrent._todos = RemoteObject.createImmutable("");
 //BA.debugLineNum = 49;BA.debugLine="Dim NumSerie As Int";
mapa_rutas._numserie = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 50;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
mapa_rutas.mostCurrent._oninfowindowclicklistener1 = RemoteObject.createNew ("uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener");
 //BA.debugLineNum = 51;BA.debugLine="Dim GoogleMapEXTRA As GoogleMapsExtras";
mapa_rutas.mostCurrent._googlemapextra = RemoteObject.createNew ("uk.co.martinpearman.b4a.googlemapsextras.GoogleMapsExtras");
 //BA.debugLineNum = 52;BA.debugLine="Dim CODIGO As String";
mapa_rutas.mostCurrent._codigo = RemoteObject.createImmutable("");
 //BA.debugLineNum = 53;BA.debugLine="Private SEMANA As String";
mapa_rutas.mostCurrent._semana = RemoteObject.createImmutable("");
 //BA.debugLineNum = 57;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _gps_locationchanged(RemoteObject _parametro) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,284);
if (RapidSub.canDelegate("gps_locationchanged")) { return reparto_mazapa.keymon.lat.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","gps_locationchanged", _parametro);}
Debug.locals.put("Parametro", _parametro);
 BA.debugLineNum = 284;BA.debugLine="Sub GPS_LocationChanged (Parametro As Location)";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 303;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _mapfragment1_ready() throws Exception{
try {
		Debug.PushSubsStack("MapFragment1_Ready (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,111);
if (RapidSub.canDelegate("mapfragment1_ready")) { reparto_mazapa.keymon.lat.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","mapfragment1_ready"); return;}
ResumableSub_MapFragment1_Ready rsub = new ResumableSub_MapFragment1_Ready(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_MapFragment1_Ready extends BA.ResumableSub {
public ResumableSub_MapFragment1_Ready(reparto_mazapa.keymon.lat.mapa_rutas parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
reparto_mazapa.keymon.lat.mapa_rutas parent;
RemoteObject _permission = RemoteObject.createImmutable("");
RemoteObject _result = RemoteObject.createImmutable(false);
RemoteObject _javamapsobject = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
RemoteObject _esteazul = RemoteObject.createImmutable(0);
RemoteObject _esteazul2 = RemoteObject.createImmutable("");
int _i = 0;
RemoteObject _s = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
RemoteObject _esterojo = RemoteObject.createImmutable(0);
RemoteObject _esterojo2 = RemoteObject.createImmutable("");
RemoteObject _aa = RemoteObject.declareNull("anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper");
int step15;
int limit15;
int step59;
int limit59;
int step84;
int limit84;
int step104;
int limit104;
int step129;
int limit129;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("MapFragment1_Ready (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,111);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 112;BA.debugLine="gmap = MapFragment1.GetMap";
Debug.ShouldStop(32768);
parent.mostCurrent._gmap = parent.mostCurrent._mapfragment1.runMethod(false,"GetMap");
 BA.debugLineNum = 113;BA.debugLine="gmap.IsInitialized";
Debug.ShouldStop(65536);
parent.mostCurrent._gmap.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 114;BA.debugLine="rp.CheckAndRequest(rp.PERMISSION_ACCESS_FINE_LOCA";
Debug.ShouldStop(131072);
parent._rp.runVoidMethod ("CheckAndRequest",mapa_rutas.processBA,(Object)(parent._rp.getField(true,"PERMISSION_ACCESS_FINE_LOCATION")));
 BA.debugLineNum = 115;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
Debug.ShouldStop(262144);
parent.mostCurrent.__c.runVoidMethod ("WaitFor","activity_permissionresult", mapa_rutas.processBA, anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "mapa_rutas", "mapfragment1_ready"), null);
this.state = 186;
return;
case 186:
//C
this.state = 1;
_permission = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(0));Debug.locals.put("Permission", _permission);
_result = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(1));Debug.locals.put("Result", _result);
;
 BA.debugLineNum = 116;BA.debugLine="gmap.MyLocationEnabled = Result";
Debug.ShouldStop(524288);
parent.mostCurrent._gmap.runMethod(true,"setMyLocationEnabled",_result);
 BA.debugLineNum = 118;BA.debugLine="Dim JavaMapsObject As JavaObject";
Debug.ShouldStop(2097152);
_javamapsobject = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("JavaMapsObject", _javamapsobject);
 BA.debugLineNum = 119;BA.debugLine="JavaMapsObject = gmap.GetUiSettings";
Debug.ShouldStop(4194304);
_javamapsobject = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4j.object.JavaObject"), parent.mostCurrent._gmap.runMethod(false,"GetUiSettings").getObject());Debug.locals.put("JavaMapsObject", _javamapsobject);
 BA.debugLineNum = 120;BA.debugLine="JavaMapsObject.RunMethod(\"setMapToolbarEnabled\",";
Debug.ShouldStop(8388608);
_javamapsobject.runVoidMethod ("RunMethod",(Object)(BA.ObjectToString("setMapToolbarEnabled")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(parent.mostCurrent.__c.getField(true,"True"))})));
 BA.debugLineNum = 122;BA.debugLine="Private esteAzul As Int = 0";
Debug.ShouldStop(33554432);
_esteazul = BA.numberCast(int.class, 0);Debug.locals.put("esteAzul", _esteazul);Debug.locals.put("esteAzul", _esteazul);
 BA.debugLineNum = 123;BA.debugLine="Private esteAzul2 As String";
Debug.ShouldStop(67108864);
_esteazul2 = RemoteObject.createImmutable("");Debug.locals.put("esteAzul2", _esteazul2);
 BA.debugLineNum = 124;BA.debugLine="If azul = 1 Or todos = 1  Then";
Debug.ShouldStop(134217728);
if (true) break;

case 1:
//if
this.state = 119;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._azul,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 125;BA.debugLine="c.IsInitialized";
Debug.ShouldStop(268435456);
parent._c.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 126;BA.debugLine="c = Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO";
Debug.ShouldStop(536870912);
parent._c = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent.mostCurrent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, IFNULL(SECUENCIA,0) AS SECUENCIA, CAT_CL_NOMBRE, CAT_CL_LAT, CAT_CL_LONG, CAT_CL_RUTA from kmt_info where gestion = 0 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA"))));
 BA.debugLineNum = 127;BA.debugLine="rutaAnt = \"\"";
Debug.ShouldStop(1073741824);
parent.mostCurrent._rutaant = BA.ObjectToString("");
 BA.debugLineNum = 128;BA.debugLine="For i = 0 To c.RowCount -1";
Debug.ShouldStop(-2147483648);
if (true) break;

case 4:
//for
this.state = 112;
step15 = 1;
limit15 = RemoteObject.solve(new RemoteObject[] {parent._c.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 187;
if (true) break;

case 187:
//C
this.state = 112;
if ((step15 > 0 && _i <= limit15) || (step15 < 0 && _i >= limit15)) this.state = 6;
if (true) break;

case 188:
//C
this.state = 187;
_i = ((int)(0 + _i + step15)) ;
Debug.locals.put("i", _i);
if (true) break;

case 6:
//C
this.state = 7;
 BA.debugLineNum = 129;BA.debugLine="c.Position = i";
Debug.ShouldStop(1);
parent._c.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 130;BA.debugLine="LatitudRu = c.GetString(\"CAT_CL_LAT\")";
Debug.ShouldStop(2);
parent._latitudru = BA.numberCast(double.class, parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT"))));
 BA.debugLineNum = 131;BA.debugLine="LongitudRU = c.GetString(\"CAT_CL_LONG\")";
Debug.ShouldStop(4);
parent._longitudru = BA.numberCast(double.class, parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))));
 BA.debugLineNum = 132;BA.debugLine="CODIGO=c.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(8);
parent.mostCurrent._codigo = parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 133;BA.debugLine="Tienda= c.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(16);
parent.mostCurrent._tienda = parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 134;BA.debugLine="ruta = c.GetString(\"CAT_CL_RUTA\")";
Debug.ShouldStop(32);
parent.mostCurrent._ruta = parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_RUTA")));
 BA.debugLineNum = 135;BA.debugLine="If c.GetString(\"SECUENCIA\") = \"null\" Then";
Debug.ShouldStop(64);
if (true) break;

case 7:
//if
this.state = 12;
if (RemoteObject.solveBoolean("=",parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("SECUENCIA"))),BA.ObjectToString("null"))) { 
this.state = 9;
}else {
this.state = 11;
}if (true) break;

case 9:
//C
this.state = 12;
 BA.debugLineNum = 136;BA.debugLine="NumSerie = 0";
Debug.ShouldStop(128);
parent._numserie = BA.numberCast(int.class, 0);
 if (true) break;

case 11:
//C
this.state = 12;
 BA.debugLineNum = 138;BA.debugLine="NumSerie = c.GetString(\"SECUENCIA\")";
Debug.ShouldStop(512);
parent._numserie = BA.numberCast(int.class, parent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("SECUENCIA"))));
 if (true) break;

case 12:
//C
this.state = 13;
;
 BA.debugLineNum = 140;BA.debugLine="Private s As Cursor = Starter.skmt.ExecQuery($\"";
Debug.ShouldStop(2048);
_s = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_s = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent.mostCurrent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("select indice from waypoints where codigo = '"),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((parent.mostCurrent._codigo))),RemoteObject.createImmutable("'"))))));Debug.locals.put("s", _s);Debug.locals.put("s", _s);
 BA.debugLineNum = 141;BA.debugLine="If s.RowCount > 0 Then";
Debug.ShouldStop(4096);
if (true) break;

case 13:
//if
this.state = 16;
if (RemoteObject.solveBoolean(">",_s.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
this.state = 15;
}if (true) break;

case 15:
//C
this.state = 16;
 BA.debugLineNum = 142;BA.debugLine="s.Position = 0";
Debug.ShouldStop(8192);
_s.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 143;BA.debugLine="NumSerie = s.GetString(\"indice\")";
Debug.ShouldStop(16384);
parent._numserie = BA.numberCast(int.class, _s.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("indice"))));
 if (true) break;
;
 BA.debugLineNum = 145;BA.debugLine="If rutaAnt <> ruta Then esteAzul = esteAzul + 1";
Debug.ShouldStop(65536);

case 16:
//if
this.state = 21;
if (RemoteObject.solveBoolean("!",parent.mostCurrent._rutaant,parent.mostCurrent._ruta)) { 
this.state = 18;
;}if (true) break;

case 18:
//C
this.state = 21;
_esteazul = RemoteObject.solve(new RemoteObject[] {_esteazul,RemoteObject.createImmutable(1)}, "+",1, 1);Debug.locals.put("esteAzul", _esteazul);
if (true) break;

case 21:
//C
this.state = 22;
;
 BA.debugLineNum = 146;BA.debugLine="If esteAzul = 1 Then esteAzul2= NumSerie&\"maker";
Debug.ShouldStop(131072);
if (true) break;

case 22:
//if
this.state = 27;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 1))) { 
this.state = 24;
;}if (true) break;

case 24:
//C
this.state = 27;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 27:
//C
this.state = 28;
;
 BA.debugLineNum = 147;BA.debugLine="If esteAzul = 2 Then esteAzul2= NumSerie&\"maker";
Debug.ShouldStop(262144);
if (true) break;

case 28:
//if
this.state = 33;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 2))) { 
this.state = 30;
;}if (true) break;

case 30:
//C
this.state = 33;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul1.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 33:
//C
this.state = 34;
;
 BA.debugLineNum = 148;BA.debugLine="If esteAzul = 3 Then esteAzul2= NumSerie&\"maker";
Debug.ShouldStop(524288);
if (true) break;

case 34:
//if
this.state = 39;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 3))) { 
this.state = 36;
;}if (true) break;

case 36:
//C
this.state = 39;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul2.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 39:
//C
this.state = 40;
;
 BA.debugLineNum = 149;BA.debugLine="If esteAzul = 4 Then esteAzul2= NumSerie&\"maker";
Debug.ShouldStop(1048576);
if (true) break;

case 40:
//if
this.state = 45;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 4))) { 
this.state = 42;
;}if (true) break;

case 42:
//C
this.state = 45;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul3.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 45:
//C
this.state = 46;
;
 BA.debugLineNum = 150;BA.debugLine="If esteAzul = 5 Then esteAzul2= NumSerie&\"maker";
Debug.ShouldStop(2097152);
if (true) break;

case 46:
//if
this.state = 51;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 5))) { 
this.state = 48;
;}if (true) break;

case 48:
//C
this.state = 51;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul4.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 51:
//C
this.state = 52;
;
 BA.debugLineNum = 151;BA.debugLine="If esteAzul = 6 Then esteAzul2= NumSerie&\"maker";
Debug.ShouldStop(4194304);
if (true) break;

case 52:
//if
this.state = 57;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 6))) { 
this.state = 54;
;}if (true) break;

case 54:
//C
this.state = 57;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 57:
//C
this.state = 58;
;
 BA.debugLineNum = 152;BA.debugLine="If esteAzul = 7 Then esteAzul2= NumSerie&\"maker";
Debug.ShouldStop(8388608);
if (true) break;

case 58:
//if
this.state = 63;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 7))) { 
this.state = 60;
;}if (true) break;

case 60:
//C
this.state = 63;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul1.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 63:
//C
this.state = 64;
;
 BA.debugLineNum = 153;BA.debugLine="If esteAzul = 8 Then esteAzul2= NumSerie&\"maker";
Debug.ShouldStop(16777216);
if (true) break;

case 64:
//if
this.state = 69;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 8))) { 
this.state = 66;
;}if (true) break;

case 66:
//C
this.state = 69;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul2.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 69:
//C
this.state = 70;
;
 BA.debugLineNum = 154;BA.debugLine="If esteAzul = 9 Then esteAzul2= NumSerie&\"maker";
Debug.ShouldStop(33554432);
if (true) break;

case 70:
//if
this.state = 75;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 9))) { 
this.state = 72;
;}if (true) break;

case 72:
//C
this.state = 75;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul3.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 75:
//C
this.state = 76;
;
 BA.debugLineNum = 155;BA.debugLine="If esteAzul = 10 Then esteAzul2= NumSerie&\"make";
Debug.ShouldStop(67108864);
if (true) break;

case 76:
//if
this.state = 81;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 10))) { 
this.state = 78;
;}if (true) break;

case 78:
//C
this.state = 81;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul4.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 81:
//C
this.state = 82;
;
 BA.debugLineNum = 156;BA.debugLine="If esteAzul = 11 Then esteAzul2= NumSerie&\"make";
Debug.ShouldStop(134217728);
if (true) break;

case 82:
//if
this.state = 87;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 11))) { 
this.state = 84;
;}if (true) break;

case 84:
//C
this.state = 87;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 87:
//C
this.state = 88;
;
 BA.debugLineNum = 157;BA.debugLine="If esteAzul = 12 Then esteAzul2= NumSerie&\"make";
Debug.ShouldStop(268435456);
if (true) break;

case 88:
//if
this.state = 93;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 12))) { 
this.state = 90;
;}if (true) break;

case 90:
//C
this.state = 93;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul1.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 93:
//C
this.state = 94;
;
 BA.debugLineNum = 158;BA.debugLine="If esteAzul = 13 Then esteAzul2= NumSerie&\"make";
Debug.ShouldStop(536870912);
if (true) break;

case 94:
//if
this.state = 99;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 13))) { 
this.state = 96;
;}if (true) break;

case 96:
//C
this.state = 99;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul2.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 99:
//C
this.state = 100;
;
 BA.debugLineNum = 159;BA.debugLine="If esteAzul = 14 Then esteAzul2= NumSerie&\"make";
Debug.ShouldStop(1073741824);
if (true) break;

case 100:
//if
this.state = 105;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 14))) { 
this.state = 102;
;}if (true) break;

case 102:
//C
this.state = 105;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul3.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 105:
//C
this.state = 106;
;
 BA.debugLineNum = 160;BA.debugLine="If esteAzul = 15 Then esteAzul2= NumSerie&\"make";
Debug.ShouldStop(-2147483648);
if (true) break;

case 106:
//if
this.state = 111;
if (RemoteObject.solveBoolean("=",_esteazul,BA.numberCast(double.class, 15))) { 
this.state = 108;
;}if (true) break;

case 108:
//C
this.state = 111;
_esteazul2 = RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("maker-azul4.png"));Debug.locals.put("esteAzul2", _esteazul2);
if (true) break;

case 111:
//C
this.state = 188;
;
 BA.debugLineNum = 164;BA.debugLine="MARK_AZUL = gmap.AddMarker3(LatitudRu,LongitudR";
Debug.ShouldStop(8);
parent.mostCurrent._mark_azul = parent.mostCurrent._gmap.runMethod(false,"AddMarker3",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)((parent.mostCurrent.__c.runMethod(false,"LoadBitmap",(Object)(parent.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(_esteazul2)).getObject())));
 BA.debugLineNum = 165;BA.debugLine="MARK_AZUL.Snippet = \"R: \" & ruta & \" - \" & Tien";
Debug.ShouldStop(16);
parent.mostCurrent._mark_azul.runMethod(true,"setSnippet",RemoteObject.concat(RemoteObject.createImmutable("R: "),parent.mostCurrent._ruta,RemoteObject.createImmutable(" - "),parent.mostCurrent._tienda));
 BA.debugLineNum = 166;BA.debugLine="rutaAnt = ruta";
Debug.ShouldStop(32);
parent.mostCurrent._rutaant = parent.mostCurrent._ruta;
 if (true) break;
if (true) break;

case 112:
//C
this.state = 113;
Debug.locals.put("i", _i);
;
 BA.debugLineNum = 168;BA.debugLine="c .Close";
Debug.ShouldStop(128);
parent._c.runVoidMethod ("Close");
 BA.debugLineNum = 169;BA.debugLine="If MARK_AZUL.IsInitialized Then LIST_AZUL.Add(MA";
Debug.ShouldStop(256);
if (true) break;

case 113:
//if
this.state = 118;
if (parent.mostCurrent._mark_azul.runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
this.state = 115;
;}if (true) break;

case 115:
//C
this.state = 118;
parent.mostCurrent._list_azul.runVoidMethod ("Add",(Object)((parent.mostCurrent._mark_azul.getObject())));
if (true) break;

case 118:
//C
this.state = 119;
;
 if (true) break;
;
 BA.debugLineNum = 172;BA.debugLine="If verde = 1 Or todos = 1  Then";
Debug.ShouldStop(2048);

case 119:
//if
this.state = 152;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._verde,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 121;
}else {
this.state = 137;
}if (true) break;

case 121:
//C
this.state = 122;
 BA.debugLineNum = 173;BA.debugLine="rutaAnt = \"\"";
Debug.ShouldStop(4096);
parent.mostCurrent._rutaant = BA.ObjectToString("");
 BA.debugLineNum = 174;BA.debugLine="c2.IsInitialized";
Debug.ShouldStop(8192);
parent._c2.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 175;BA.debugLine="c2=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO,";
Debug.ShouldStop(16384);
parent._c2 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent.mostCurrent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, IFNULL(SECUENCIA,0) AS SECUENCIA, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA"))));
 BA.debugLineNum = 176;BA.debugLine="For i = 0 To c2.RowCount -1";
Debug.ShouldStop(32768);
if (true) break;

case 122:
//for
this.state = 135;
step59 = 1;
limit59 = RemoteObject.solve(new RemoteObject[] {parent._c2.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 189;
if (true) break;

case 189:
//C
this.state = 135;
if ((step59 > 0 && _i <= limit59) || (step59 < 0 && _i >= limit59)) this.state = 124;
if (true) break;

case 190:
//C
this.state = 189;
_i = ((int)(0 + _i + step59)) ;
Debug.locals.put("i", _i);
if (true) break;

case 124:
//C
this.state = 125;
 BA.debugLineNum = 177;BA.debugLine="c2.Position = i";
Debug.ShouldStop(65536);
parent._c2.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 178;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
Debug.ShouldStop(131072);
parent._longitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))));
 BA.debugLineNum = 179;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
Debug.ShouldStop(262144);
parent._latitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT"))));
 BA.debugLineNum = 180;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(524288);
parent.mostCurrent._codigo = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 181;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(1048576);
parent.mostCurrent._tienda = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 182;BA.debugLine="ruta = c2.GetString(\"CAT_CL_RUTA\")";
Debug.ShouldStop(2097152);
parent.mostCurrent._ruta = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_RUTA")));
 BA.debugLineNum = 183;BA.debugLine="If c2.GetString(\"SECUENCIA\") = \"null\" Then";
Debug.ShouldStop(4194304);
if (true) break;

case 125:
//if
this.state = 130;
if (RemoteObject.solveBoolean("=",parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("SECUENCIA"))),BA.ObjectToString("null"))) { 
this.state = 127;
}else {
this.state = 129;
}if (true) break;

case 127:
//C
this.state = 130;
 BA.debugLineNum = 184;BA.debugLine="NumSerie = 0";
Debug.ShouldStop(8388608);
parent._numserie = BA.numberCast(int.class, 0);
 if (true) break;

case 129:
//C
this.state = 130;
 BA.debugLineNum = 186;BA.debugLine="NumSerie = c2.GetString(\"SECUENCIA\")";
Debug.ShouldStop(33554432);
parent._numserie = BA.numberCast(int.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("SECUENCIA"))));
 if (true) break;

case 130:
//C
this.state = 131;
;
 BA.debugLineNum = 188;BA.debugLine="Private s As Cursor = Starter.skmt.ExecQuery($\"";
Debug.ShouldStop(134217728);
_s = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_s = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent.mostCurrent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("select indice from waypoints where codigo = '"),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((parent.mostCurrent._codigo))),RemoteObject.createImmutable("'"))))));Debug.locals.put("s", _s);Debug.locals.put("s", _s);
 BA.debugLineNum = 189;BA.debugLine="If s.RowCount > 0 Then";
Debug.ShouldStop(268435456);
if (true) break;

case 131:
//if
this.state = 134;
if (RemoteObject.solveBoolean(">",_s.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
this.state = 133;
}if (true) break;

case 133:
//C
this.state = 134;
 BA.debugLineNum = 190;BA.debugLine="s.Position = 0";
Debug.ShouldStop(536870912);
_s.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 191;BA.debugLine="NumSerie = s.GetString(\"indice\")";
Debug.ShouldStop(1073741824);
parent._numserie = BA.numberCast(int.class, _s.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("indice"))));
 if (true) break;

case 134:
//C
this.state = 190;
;
 BA.debugLineNum = 193;BA.debugLine="MARK_VERDE = gmap.AddMarker3(LatitudRu,Longitud";
Debug.ShouldStop(1);
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.runMethod(false,"AddMarker3",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)((parent.mostCurrent.__c.runMethod(false,"LoadBitmap",(Object)(parent.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("marker-verde.png")))).getObject())));
 BA.debugLineNum = 194;BA.debugLine="MARK_VERDE.Snippet = \"R:\" & ruta & \", \" & Tiend";
Debug.ShouldStop(2);
parent.mostCurrent._mark_verde.runMethod(true,"setSnippet",RemoteObject.concat(RemoteObject.createImmutable("R:"),parent.mostCurrent._ruta,RemoteObject.createImmutable(", "),parent.mostCurrent._tienda));
 if (true) break;
if (true) break;

case 135:
//C
this.state = 152;
Debug.locals.put("i", _i);
;
 if (true) break;

case 137:
//C
this.state = 138;
 BA.debugLineNum = 197;BA.debugLine="If verde = 1 Or todos = 1  Then";
Debug.ShouldStop(16);
if (true) break;

case 138:
//if
this.state = 151;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._verde,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 140;
}if (true) break;

case 140:
//C
this.state = 141;
 BA.debugLineNum = 198;BA.debugLine="rutaAnt = \"\"";
Debug.ShouldStop(32);
parent.mostCurrent._rutaant = BA.ObjectToString("");
 BA.debugLineNum = 199;BA.debugLine="c2.IsInitialized";
Debug.ShouldStop(64);
parent._c2.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 200;BA.debugLine="c2=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO";
Debug.ShouldStop(128);
parent._c2 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent.mostCurrent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA"))));
 BA.debugLineNum = 201;BA.debugLine="For i = 0 To c2.RowCount -1";
Debug.ShouldStop(256);
if (true) break;

case 141:
//for
this.state = 144;
step84 = 1;
limit84 = RemoteObject.solve(new RemoteObject[] {parent._c2.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 191;
if (true) break;

case 191:
//C
this.state = 144;
if ((step84 > 0 && _i <= limit84) || (step84 < 0 && _i >= limit84)) this.state = 143;
if (true) break;

case 192:
//C
this.state = 191;
_i = ((int)(0 + _i + step84)) ;
Debug.locals.put("i", _i);
if (true) break;

case 143:
//C
this.state = 192;
 BA.debugLineNum = 202;BA.debugLine="c2.Position = i";
Debug.ShouldStop(512);
parent._c2.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 203;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
Debug.ShouldStop(1024);
parent._longitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG"))));
 BA.debugLineNum = 204;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
Debug.ShouldStop(2048);
parent._latitudru = BA.numberCast(double.class, parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT"))));
 BA.debugLineNum = 205;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(4096);
parent.mostCurrent._codigo = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 206;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(8192);
parent.mostCurrent._tienda = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 207;BA.debugLine="ruta = c2.GetString(\"CAT_CL_RUTA\")";
Debug.ShouldStop(16384);
parent.mostCurrent._ruta = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_RUTA")));
 BA.debugLineNum = 208;BA.debugLine="MARK_VERDE = gmap.AddMarker2(LatitudRu,Longitu";
Debug.ShouldStop(32768);
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.runMethod(false,"AddMarker2",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)(parent.mostCurrent._gmap.getField(true,"HUE_GREEN")));
 BA.debugLineNum = 209;BA.debugLine="MARK_VERDE.Snippet = \"R:\" & ruta & \", \" & Tien";
Debug.ShouldStop(65536);
parent.mostCurrent._mark_verde.runMethod(true,"setSnippet",RemoteObject.concat(RemoteObject.createImmutable("R:"),parent.mostCurrent._ruta,RemoteObject.createImmutable(", "),parent.mostCurrent._tienda));
 if (true) break;
if (true) break;

case 144:
//C
this.state = 145;
Debug.locals.put("i", _i);
;
 BA.debugLineNum = 211;BA.debugLine="c2 .Close";
Debug.ShouldStop(262144);
parent._c2.runVoidMethod ("Close");
 BA.debugLineNum = 212;BA.debugLine="If MARK_VERDE.IsInitialized Then LIST_VERDE.Add";
Debug.ShouldStop(524288);
if (true) break;

case 145:
//if
this.state = 150;
if (parent.mostCurrent._mark_verde.runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
this.state = 147;
;}if (true) break;

case 147:
//C
this.state = 150;
parent.mostCurrent._list_verde.runVoidMethod ("Add",(Object)((parent.mostCurrent._mark_verde.getObject())));
if (true) break;

case 150:
//C
this.state = 151;
;
 if (true) break;

case 151:
//C
this.state = 152;
;
 if (true) break;

case 152:
//C
this.state = 153;
;
 BA.debugLineNum = 216;BA.debugLine="Private esteRojo As Int = 0";
Debug.ShouldStop(8388608);
_esterojo = BA.numberCast(int.class, 0);Debug.locals.put("esteRojo", _esterojo);Debug.locals.put("esteRojo", _esterojo);
 BA.debugLineNum = 217;BA.debugLine="Private esteRojo2 As String";
Debug.ShouldStop(16777216);
_esterojo2 = RemoteObject.createImmutable("");Debug.locals.put("esteRojo2", _esterojo2);
 BA.debugLineNum = 218;BA.debugLine="If rojo = 1 Or todos = 1 Then";
Debug.ShouldStop(33554432);
if (true) break;

case 153:
//if
this.state = 185;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._rojo,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 155;
}else {
this.state = 171;
}if (true) break;

case 155:
//C
this.state = 156;
 BA.debugLineNum = 219;BA.debugLine="rutaAnt = \"\"";
Debug.ShouldStop(67108864);
parent.mostCurrent._rutaant = BA.ObjectToString("");
 BA.debugLineNum = 220;BA.debugLine="c3.IsInitialized";
Debug.ShouldStop(134217728);
parent._c3.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 221;BA.debugLine="c3=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO,";
Debug.ShouldStop(268435456);
parent._c3 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent.mostCurrent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, IFNULL(SECUENCIA,0) AS SECUENCIA, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA"))));
 BA.debugLineNum = 222;BA.debugLine="For i = 0 To c3.RowCount -1";
Debug.ShouldStop(536870912);
if (true) break;

case 156:
//for
this.state = 169;
step104 = 1;
limit104 = RemoteObject.solve(new RemoteObject[] {parent._c3.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 193;
if (true) break;

case 193:
//C
this.state = 169;
if ((step104 > 0 && _i <= limit104) || (step104 < 0 && _i >= limit104)) this.state = 158;
if (true) break;

case 194:
//C
this.state = 193;
_i = ((int)(0 + _i + step104)) ;
Debug.locals.put("i", _i);
if (true) break;

case 158:
//C
this.state = 159;
 BA.debugLineNum = 223;BA.debugLine="c3.Position = i";
Debug.ShouldStop(1073741824);
parent._c3.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 224;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
Debug.ShouldStop(-2147483648);
parent._longitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LONG")));
 BA.debugLineNum = 225;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
Debug.ShouldStop(1);
parent._latitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LAT")));
 BA.debugLineNum = 226;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(2);
parent.mostCurrent._tienda = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 227;BA.debugLine="ruta = c3.GetString(\"CAT_CL_RUTA\")";
Debug.ShouldStop(4);
parent.mostCurrent._ruta = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_RUTA")));
 BA.debugLineNum = 228;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(8);
parent.mostCurrent._codigo = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 229;BA.debugLine="If c3.GetString(\"SECUENCIA\") = \"null\" Then";
Debug.ShouldStop(16);
if (true) break;

case 159:
//if
this.state = 164;
if (RemoteObject.solveBoolean("=",parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("SECUENCIA"))),BA.ObjectToString("null"))) { 
this.state = 161;
}else {
this.state = 163;
}if (true) break;

case 161:
//C
this.state = 164;
 BA.debugLineNum = 230;BA.debugLine="NumSerie = 0";
Debug.ShouldStop(32);
parent._numserie = BA.numberCast(int.class, 0);
 if (true) break;

case 163:
//C
this.state = 164;
 BA.debugLineNum = 232;BA.debugLine="NumSerie = c3.GetString(\"SECUENCIA\")";
Debug.ShouldStop(128);
parent._numserie = BA.numberCast(int.class, parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("SECUENCIA"))));
 if (true) break;

case 164:
//C
this.state = 165;
;
 BA.debugLineNum = 234;BA.debugLine="Private s As Cursor = Starter.skmt.ExecQuery($\"";
Debug.ShouldStop(512);
_s = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_s = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent.mostCurrent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("select indice from waypoints where codigo = '"),parent.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((parent.mostCurrent._codigo))),RemoteObject.createImmutable("'"))))));Debug.locals.put("s", _s);Debug.locals.put("s", _s);
 BA.debugLineNum = 235;BA.debugLine="If s.RowCount > 0 Then";
Debug.ShouldStop(1024);
if (true) break;

case 165:
//if
this.state = 168;
if (RemoteObject.solveBoolean(">",_s.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
this.state = 167;
}if (true) break;

case 167:
//C
this.state = 168;
 BA.debugLineNum = 236;BA.debugLine="s.Position = 0";
Debug.ShouldStop(2048);
_s.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 237;BA.debugLine="NumSerie = s.GetString(\"indice\")";
Debug.ShouldStop(4096);
parent._numserie = BA.numberCast(int.class, _s.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("indice"))));
 if (true) break;

case 168:
//C
this.state = 194;
;
 BA.debugLineNum = 239;BA.debugLine="MARK_ROJO = gmap.AddMarker3(LatitudRu,LongitudR";
Debug.ShouldStop(16384);
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.runMethod(false,"AddMarker3",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)((parent.mostCurrent.__c.runMethod(false,"LoadBitmap",(Object)(parent.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.concat(parent._numserie,RemoteObject.createImmutable("marker-rojo.png")))).getObject())));
 BA.debugLineNum = 240;BA.debugLine="MARK_ROJO.Snippet= \"R:\" & ruta & \", \" & Tienda";
Debug.ShouldStop(32768);
parent.mostCurrent._mark_rojo.runMethod(true,"setSnippet",RemoteObject.concat(RemoteObject.createImmutable("R:"),parent.mostCurrent._ruta,RemoteObject.createImmutable(", "),parent.mostCurrent._tienda));
 if (true) break;
if (true) break;

case 169:
//C
this.state = 185;
Debug.locals.put("i", _i);
;
 if (true) break;

case 171:
//C
this.state = 172;
 BA.debugLineNum = 243;BA.debugLine="If rojo = 1 Or  todos = 1  Then";
Debug.ShouldStop(262144);
if (true) break;

case 172:
//if
this.state = 184;
if (RemoteObject.solveBoolean("=",parent.mostCurrent._rojo,BA.NumberToString(1)) || RemoteObject.solveBoolean("=",parent.mostCurrent._todos,BA.NumberToString(1))) { 
this.state = 174;
}if (true) break;

case 174:
//C
this.state = 175;
 BA.debugLineNum = 244;BA.debugLine="rutaAnt = \"\"";
Debug.ShouldStop(524288);
parent.mostCurrent._rutaant = BA.ObjectToString("");
 BA.debugLineNum = 245;BA.debugLine="c3.IsInitialized";
Debug.ShouldStop(1048576);
parent._c3.runVoidMethod ("IsInitialized");
 BA.debugLineNum = 246;BA.debugLine="c3=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO";
Debug.ShouldStop(2097152);
parent._c3 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent.mostCurrent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_CODIGO, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA"))));
 BA.debugLineNum = 247;BA.debugLine="For i = 0 To c3.RowCount -1";
Debug.ShouldStop(4194304);
if (true) break;

case 175:
//for
this.state = 178;
step129 = 1;
limit129 = RemoteObject.solve(new RemoteObject[] {parent._c3.runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
Debug.locals.put("i", _i);
this.state = 195;
if (true) break;

case 195:
//C
this.state = 178;
if ((step129 > 0 && _i <= limit129) || (step129 < 0 && _i >= limit129)) this.state = 177;
if (true) break;

case 196:
//C
this.state = 195;
_i = ((int)(0 + _i + step129)) ;
Debug.locals.put("i", _i);
if (true) break;

case 177:
//C
this.state = 196;
 BA.debugLineNum = 248;BA.debugLine="c3.Position = i";
Debug.ShouldStop(8388608);
parent._c3.runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 249;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
Debug.ShouldStop(16777216);
parent._longitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LONG")));
 BA.debugLineNum = 250;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
Debug.ShouldStop(33554432);
parent._latitudru = parent._c3.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("CAT_CL_LAT")));
 BA.debugLineNum = 251;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(67108864);
parent.mostCurrent._tienda = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 BA.debugLineNum = 252;BA.debugLine="ruta = c2.GetString(\"CAT_CL_RUTA\")";
Debug.ShouldStop(134217728);
parent.mostCurrent._ruta = parent._c2.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_RUTA")));
 BA.debugLineNum = 253;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(268435456);
parent.mostCurrent._codigo = parent._c3.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")));
 BA.debugLineNum = 254;BA.debugLine="MARK_ROJO = gmap.AddMarker2(LatitudRu,Longitud";
Debug.ShouldStop(536870912);
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.runMethod(false,"AddMarker2",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(parent.mostCurrent._codigo),(Object)(parent.mostCurrent._gmap.getField(true,"HUE_RED")));
 BA.debugLineNum = 255;BA.debugLine="MARK_ROJO.Snippet= \"R:\" & ruta & \", \" & Tienda";
Debug.ShouldStop(1073741824);
parent.mostCurrent._mark_rojo.runMethod(true,"setSnippet",RemoteObject.concat(RemoteObject.createImmutable("R:"),parent.mostCurrent._ruta,RemoteObject.createImmutable(", "),parent.mostCurrent._tienda));
 if (true) break;
if (true) break;
Debug.locals.put("i", _i);
;
 BA.debugLineNum = 257;BA.debugLine="If MARK_ROJO.IsInitialized Then LIST_ROJO.Add(M";
Debug.ShouldStop(1);

case 178:
//if
this.state = 183;
if (parent.mostCurrent._mark_rojo.runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
this.state = 180;
;}if (true) break;

case 180:
//C
this.state = 183;
parent.mostCurrent._list_rojo.runVoidMethod ("Add",(Object)((parent.mostCurrent._mark_rojo.getObject())));
if (true) break;

case 183:
//C
this.state = 184;
;
 BA.debugLineNum = 258;BA.debugLine="c3.Close";
Debug.ShouldStop(2);
parent._c3.runVoidMethod ("Close");
 if (true) break;

case 184:
//C
this.state = 185;
;
 if (true) break;

case 185:
//C
this.state = -1;
;
 BA.debugLineNum = 266;BA.debugLine="Dim aa As CameraPosition";
Debug.ShouldStop(512);
_aa = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper");Debug.locals.put("aa", _aa);
 BA.debugLineNum = 267;BA.debugLine="aa.Initialize(LatitudRu,LongitudRU,15)''' RECOMEN";
Debug.ShouldStop(1024);
_aa.runVoidMethod ("Initialize",(Object)(parent._latitudru),(Object)(parent._longitudru),(Object)(BA.numberCast(float.class, 15)));
 BA.debugLineNum = 268;BA.debugLine="gmap.AnimateCamera(aa)";
Debug.ShouldStop(2048);
parent.mostCurrent._gmap.runVoidMethod ("AnimateCamera",(Object)((_aa.getObject())));
 BA.debugLineNum = 271;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
Debug.ShouldStop(16384);
parent.mostCurrent._oninfowindowclicklistener1 = RemoteObject.createNew ("uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener");
 BA.debugLineNum = 272;BA.debugLine="OnInfoWindowClickListener1.Initialize(\"OnInfoWind";
Debug.ShouldStop(32768);
parent.mostCurrent._oninfowindowclicklistener1.runVoidMethod ("Initialize",mapa_rutas.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("OnInfoWindowClickListener1")));
 BA.debugLineNum = 273;BA.debugLine="GoogleMapEXTRA.SetOnInfoWindowClickListener(gmap,";
Debug.ShouldStop(65536);
parent.mostCurrent._googlemapextra.runVoidMethod ("SetOnInfoWindowClickListener",(Object)((parent.mostCurrent._gmap.getObject())),(Object)((parent.mostCurrent._oninfowindowclicklistener1.getObject())));
 BA.debugLineNum = 274;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _activity_permissionresult(RemoteObject _permission,RemoteObject _result) throws Exception{
}
public static RemoteObject  _oninfowindowclicklistener1_click(RemoteObject _marker1) throws Exception{
try {
		Debug.PushSubsStack("OnInfoWindowClickListener1_click (mapa_rutas) ","mapa_rutas",31,mapa_rutas.mostCurrent.activityBA,mapa_rutas.mostCurrent,277);
if (RapidSub.canDelegate("oninfowindowclicklistener1_click")) { return reparto_mazapa.keymon.lat.mapa_rutas.remoteMe.runUserSub(false, "mapa_rutas","oninfowindowclicklistener1_click", _marker1);}
Debug.locals.put("Marker1", _marker1);
 BA.debugLineNum = 277;BA.debugLine="Sub OnInfoWindowClickListener1_click(Marker1 As Ma";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 278;BA.debugLine="Starter.skmt.ExecNonQuery(\"delete from CUENTAA\")";
Debug.ShouldStop(2097152);
mapa_rutas.mostCurrent._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from CUENTAA")));
 BA.debugLineNum = 279;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO CUENTAA V";
Debug.ShouldStop(4194304);
mapa_rutas.mostCurrent._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO CUENTAA VALUES (?) ")),(Object)(mapa_rutas.mostCurrent.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(_marker1.runMethod(true,"getTitle"))})))));
 BA.debugLineNum = 280;BA.debugLine="Activity.Finish";
Debug.ShouldStop(8388608);
mapa_rutas.mostCurrent._activity.runVoidMethod ("Finish");
 BA.debugLineNum = 281;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(16777216);
mapa_rutas.mostCurrent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,mapa_rutas.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 282;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 7;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 8;BA.debugLine="Dim GPS As GPS";
mapa_rutas._gps = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");
 //BA.debugLineNum = 9;BA.debugLine="Dim rp As RuntimePermissions";
mapa_rutas._rp = RemoteObject.createNew ("anywheresoftware.b4a.objects.RuntimePermissions");
 //BA.debugLineNum = 11;BA.debugLine="Dim c As Cursor";
mapa_rutas._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 12;BA.debugLine="Dim c2 As Cursor";
mapa_rutas._c2 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 13;BA.debugLine="Dim c22 As Cursor";
mapa_rutas._c22 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 14;BA.debugLine="Dim c3 As Cursor";
mapa_rutas._c3 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 15;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}